import { ModuleWithProviders } from '@angular/core';
import { SharePointServiceConfig } from './model/sharepoint.service.config';
export * from './model/sharepoint-calendar-event';
export * from './model/sharepoint-customer-visit';
export * from './model/sharepoint-employee-picture';
export * from './model/sharepoint-list-item';
export * from './model/sharepoint-user';
export * from './model/sharepoint-picture';
export * from './model/sharepoint-list-items-request';
export * from './model/sharepoint-user-request';
export * from './model/sharepoint-uri-request';
export * from './model/sharepoint.service.config';
export * from './services/sharepoint.service';
export * from './pipes/sharepoint-photo-url.pipe';
export * from './pipes/sharepoint-url.pipe';
export declare class SharePointModule {
    static forRoot(sharePointConfig: SharePointServiceConfig): ModuleWithProviders<SharePointModule>;
    constructor(parentModule: SharePointModule);
}
